Skip to main content
GET /api/v1/info

Response

  • Status 200: Success
{
  "success": true,
  "data": [
    {
      "symbol": "ETH",
      "tick_size": "0.1",
      "min_tick": "0",
      "max_tick": "1000000",
      "lot_size": "0.0001",
      "max_leverage": 50,
      "isolated_only": false,
      "min_order_size": "10",
      "max_order_size": "5000000",
      "funding_rate": "0.0000125",
      "next_funding_rate": "0.0000125",
      "created_at": 1748881333944,
      "instrument_type": "perpetual",
      "base_asset": "ETH"
    },
    {
      "symbol": "BTC",
      "tick_size": "1",
      "min_tick": "0",
      "max_tick": "1000000",
      "lot_size": "0.00001",
      "max_leverage": 50,
      "isolated_only": false,
      "min_order_size": "10",
      "max_order_size": "5000000",
      "funding_rate": "0.0000125",
      "next_funding_rate": "0.0000125",
      "created_at": 1748881333944,
      "instrument_type": "perpetual",
      "base_asset": "BTC"
    },
    ....
  ],
  "error": null,
  "code": null
}
FieldTypeDescription
”symbol”stringTrading pair symbol
”tick_size”decimal stringTick size. All prices are denominated as a multiple of this.
”min_tick”decimal stringMinimum tick. API submitted price cannot be below this value
”max_tick”decimal stringMaximum tick. API submitted price cannot be above this value
”lot_size”decimal stringLot size. All order sizes (token denominated) are denominated as a multiple of this.
”max_leverage”integerMaximum leverage allowed on this symbol when opening positions
”isolated_only”booleanIf the market is set to only allow isolated positions
”min_order_size”decimal stringMinimum order size (denominated in USD)
“max_order_size”decimal stringMaximum order size (denominated in USD)
“funding_rate”decimal stringFunding rate paid in the past funding epoch (hour)
“next_funding_rate”decimal stringEstimated funding rate to be paid in the next funding epoch (hour)
“created_at”integerTimestamp (milliseconds) when the market was listed on Pacifica. Markets are returned oldest first.
”instrument_type”stringInstrument type for the market (e.g. perpetual)
“base_asset”stringBase asset of the market
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/info",
    headers={"Accept": "*/*"},
)

data = response.json()